uses
	testlib, sysutils;
var
	ja, pa, jc, pc: longint;
	i: longint;
begin
	jc := ans.readlongint;
	pc := ouf.readlongint;

	if jc <> pc then begin
		quit(_wa, format('wrong number of highways, expected: %d, found: %d', [jc, pc]));
	end;

	for i := 1 to jc do begin
		ja := ans.readlongint;
		pa := ouf.readlongint;

		if ja <> pa then
			quit(_wa, format('highway %d wrong, expected: %d, found: %d', [i, ja, pa]));
	end;

	quit(_ok, format('%d highways', [jc]));
end.